#!/bin/bash
exit_identification() {
	echo "$(date) The identification of sample $1 returned an error. Check the stderr of this sample $2."
	echo "$(date) The identification of sample $1 returned an error. Check the stderr of this sample $2." >> $3
	exit
}
exit_other() {
	echo "$(date) The last file generated contains an error. Check the file $1"
	echo "$(date) The last file generated contains an error. Check the file $1" >> $2
	exit
}


init=$1
. $init
now=$(date)
echo "Launching iterative identification identification $now output=${output_d} param=${param_d}"
mkdir -p ${output_d}
mkdir -p ${params_d}




##############
### Read and group files
#############

echo "$(date) All identifications are over, start reading results of step 3" >> ${params_d}/$stdout
echo "$(date) All identifications are over, start reading results of step 3"
# zero : its an iterative interrogation ; one: its the third step
metapappso_reading.sh ${evalue} ${output_d} ${job_name} 0 1
echo "$(date) Start grouping" >> ${params_d}/$stdout
echo "$(date) Start grouping" 
@GP_BIN_PATH@/gp-grouping -i ${output_d}/combined_third_step_${job_name}_read.xml -o ${output_d}/grouping_${job_name}.xml --decoy-regexp "(^conta\|.*|.*\|reversed$)"
@GP_BIN_PATH@/gp-output-peptide-counting.py -i ${output_d}/grouping_${job_name}.xml -o ${output_d}/peptide_counting_${job_name}.txt
@GP_BIN_PATH@/gp-output-peptide-list.py -i ${output_d}/grouping_${job_name}.xml -o ${output_d}/peptide_list_${job_name}.txt
@GP_BIN_PATH@/gp-output-protein-counting.py -i ${output_d}/grouping_${job_name}.xml -o ${output_d}/protein_counting_${job_name}.txt
@GP_BIN_PATH@/gp-output-protein-list.py -i ${output_d}/grouping_${job_name}.xml -o ${output_d}/protein_list_${job_name}.txt
@GP_BIN_PATH@/gp-fdr-peptide -i ${output_d}/combined_third_step_${job_name}_read.xml > ${output_d}/FDR_${job_name}.txt
echo "$(date) Read and grouping are over" >> ${params_d}/$stdout
echo "$(date) Read and grouping are over"
