#!/usr/bin/python2.7
#-*- coding: utf-8 -*-

import os
import sys
import getopt

def main(argv):
	### Parse arguments	
	try:
		opts,args=getopt.getopt(argv, "hx:f:o:",["help","xml=","fasta=","output="])
	except getopt.GetoptError:
		usage()
		sys.exit()
	for opt, arg in opts:
		if opt in ("-h","--help"):
			usage()
			sys.exit()
		elif opt in ("-x","--xml"):
			xml_file=arg
		elif opt in ("-f","--fasta"):
			fasta_input=arg.split(",")
		elif opt in ("-o","--output"):
			fasta_output=arg
	### Now, treat XML
	# We create a list containing the names of proteins
	new_proteins=list()
	with open(xml_file) as x:
		for line in x:
			if line.startswith("<psm "):
				debut=line.find("prot=")+6
				new_proteins.append(line[debut:-3])
	#remove redundance
	new_proteins=set(new_proteins)
	#Now we want to create a fasta with these proteins; read fasta file and extract sequences
	o=open(fasta_output,"w")
	prot_name=""
	sequence=""
	start_register=0
	for fasta in fasta_input:
		print("Searching in ",fasta)
		with open(fasta) as f:
			for line in f:
				if line.startswith(">"):
					if start_register==1: # new protein; the last one was a protein to store
						o.write(">"+prot_name+"\n"+sequence)
					prot_name=line[1:-1] # we check this new protein
					sequence=""
					if prot_name in new_proteins:
						start_register=1
					else:
						start_register=0
				elif start_register==1:
					sequence=sequence+line
			if start_register==1:
				o.write(">"+prot_name+"\n"+sequence)
	o.close()
	print("File ",fasta_output," written")
if __name__=="__main__":
	main(sys.argv[1:])

